define("tripleRedHotSevensIXFReelsApi", ["componentmodelComponentApi", "slotModelApi", "reelsApi", "clientkernelEventbusApi", "moneyApi"],
    function(componentmodelComponentApi, slotModelApi, reelsApi, clientkernelEventbusApi, moneyApi) {
        "use strict";

        function $iterator(o) {
            if (o instanceof Array) return function() {
                return {
                    cur: 0,
                    arr: o,
                    hasNext: function() {
                        return this.cur < this.arr.length;
                    },
                    next: function() {
                        return this.arr[this.cur++];
                    }
                };
            };
            return typeof(o.iterator) == 'function' ? $bind(o, o.iterator) : o.iterator;
        };;
        var $fid = 0;

        function $bind(o, m) {
            if (m == null) return null;
            if (m.__id__ == null) m.__id__ = $fid++;
            var f;
            if (o.hx__closures__ == null) o.hx__closures__ = {};
            else f = o.hx__closures__[m.__id__];
            if (f == null) {
                f = function() {
                    return f.method.apply(f.scope, arguments);
                };
                f.scope = o;
                f.method = m;
                o.hx__closures__[m.__id__] = f;
            }
            return f;
        };
        var $_;
        var $estr = function() {
            return _hcmn_.js_Boot.__string_rec(this, '');
        };
        if (typeof tripleRedHotSevensIXFReelsApi == 'undefined') {
            var tripleRedHotSevensIXFReelsApi = {};
        };
        tripleRedHotSevensIXFReelsApi.ReelsDeclaration = function() {};
        tripleRedHotSevensIXFReelsApi.ReelsDeclaration = ck_implements(tripleRedHotSevensIXFReelsApi.ReelsDeclaration, componentmodelComponentApi.IComponentDeclaration);
        tripleRedHotSevensIXFReelsApi.ReelsDeclaration.__interfaces__ = [componentmodelComponentApi.IComponentDeclaration];
        tripleRedHotSevensIXFReelsApi.ReelsDeclaration.__name__ = ["tripleRedHotSevensIXFReelsApi", "ReelsDeclaration"];
        tripleRedHotSevensIXFReelsApi.ReelsDeclaration.prototype.getChildComponents = function() {
            return null;
        };
        tripleRedHotSevensIXFReelsApi.ReelsDeclaration.prototype.getReferredComponents = function() {
            return null;
        };
        tripleRedHotSevensIXFReelsApi.ReelsDeclaration.prototype.getImplementedPorts = function() {
            return [reelsApi.IReelsImplementationPort];
        };
        tripleRedHotSevensIXFReelsApi.ReelsDeclaration.prototype.getUsedPorts = function() {
            return [slotModelApi.IInitializeGamePhasePort, slotModelApi.IOutcomePhasePort, slotModelApi.ISlotModelPort];
        };
        tripleRedHotSevensIXFReelsApi.ReelsDeclaration.prototype.__class__ = tripleRedHotSevensIXFReelsApi.ReelsDeclaration;
        if (typeof haxe == 'undefined') {
            var haxe = {};
        };

        haxe.IMap = function() {}
        haxe.IMap.prototype = {

        };
        return {
            exports: tripleRedHotSevensIXFReelsApi
        };
    });